> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rushed.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Topic

> Remove a topic from user preferences

## Headers

<ParamField header="X-API-Key" type="string" required>Your Rushed API key: `rsh_live_xxxxxxxxxxxx`</ParamField>

## Path Parameters

<ParamField path="topic" type="string" required>Topic code to remove</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://worker.rushed.com.br/api/users/preferences/topics/M%26A" \
    -H "X-API-Key: rsh_live_xxxxxxxxxxxx"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 — Success theme={null}
  { "success": true, "data": { "topics": ["IPO"], "topicWeights": {} } }
  ```
</ResponseExample>
